### Signal

# Gtk Widget::keynav-failed

#### Declaration

    gboolean
    keynav_failed (
      GtkWidget* self,
      GtkDirectionType direction,
      gpointer user_data
    )

#### Description [src]

Emitted if keyboard navigation fails.

See `gtk_widget_keynav_failed()` for details.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`direction`

  Type: `GtkDirectionType`

  The direction of movement.

#### Return value

Type: `gboolean`

True if stopping keyboard navigation is fine, false if the emitting widget should try to handle the keyboard navigation attempt in its parent widget.